import c4d
from c4d import gui
#By Daniel Mozbaeuchel V1.0


def main():
    c4d.documents.MergeDocument(doc,'preset://4dm_lightkit.lib4d/4DM_SpotLight',1)

    #merge layers
    root = doc.GetLayerObjectRoot() #Gets the layer manager
    LayersList = root.GetChildren() #Get Layer list
    c4d.CallCommand(100004798, 100004798) # Deselect All
    
    for layers in LayersList:
        name = layers.GetName()
        if (name == "4DM_Lightkit"):
            layers.SetBit(c4d.BIT_ACTIVE) # set layer active
            c4d.CallCommand(100004796, 100004796) # Merge Layers
            
    c4d.CallCommand(100004798, 100004798) # Deselect All
    
    for layers in LayersList:
        name = layers.GetName()
        if (name == "4DM_Lightkit_hide"):
            layers.SetBit(c4d.BIT_ACTIVE) # set layer active
            c4d.CallCommand(100004796, 100004796) # Merge Layers
            
    c4d.CallCommand(100004798, 100004798) # Deselect All
                   
    c4d.EventAdd()
    

if __name__=='__main__':
    main()
